function [ dPdZeta ] = OdeEqElectronTransverseMomentum( Zeta, P, ReRFfield, ImagRFfield, RFfieldZeta, Delta, n , F, S1)
%EQELECTRONTRANSVERSEMOMENTUM Obliczamy moment elektronów - rownanie
%różniczkowe
%   Self consistent approach
%RFfield = complex(ReRFfield, ImagRFfield);

%RFfieldInterpolated = interp1(RFfieldZeta, RFfield, Zeta);

% S1 gridded interpolant - szybciej niz interp
RFfieldInterpolated = S1(Zeta);

dPdZeta = 1i* RFfieldInterpolated*P^(n-1)*F - 1i* (P/n) * (Delta + abs(P)^2 - 1);

end

